com.independentsoft.exchange

## Enum PermissionAction

- java.lang.Object
- - java.lang.Enum<PermissionAction>
  - - com.independentsoft.exchange.PermissionAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PermissionAction>

      public enum PermissionAction
      extends java.lang.Enum<PermissionAction>

  Indicates that the user does not have permission to perform the action on any items in the folder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Indicates that the user has permission to perform the action on all items in the folder.
    `NONE` Indicates that the user does not have permission to perform the action on any items in the folder.
    `OWNED` Indicates that the user has permission to perform the action on the items in the folder that the user owns.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PermissionAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PermissionAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OWNED

          public static final PermissionAction OWNED

      Indicates that the user has permission to perform the action on the items in the folder that the user owns.

    - #### ALL

          public static final PermissionAction ALL

      Indicates that the user has permission to perform the action on all items in the folder.

    - #### NONE

          public static final PermissionAction NONE

      Indicates that the user does not have permission to perform the action on any items in the folder.

  - ### Method Detail

    - #### values

          public static PermissionAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissionAction c : PermissionAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissionAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null